#!/usr/bin/python
 
import json
import requests
from requests.auth import HTTPBasicAuth

############# Parametres ################################# 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# les parametres de Domoticz
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
domoticz_ip='IP_domoticz'
domoticz_port='8080'
user=''
password=''

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# les IDX des compteurs (a recuperer sur Domoticz lors de la creation des compteurs)
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
periph_idx={'base': xx,
            'papp' : xx,
            }

###############  fin des parametres #############################
# l URL Domoticz pour le widget virtuel 
json_url_text1='/json.htm?type=command&param=udevice&idx='
json_url_text2='&svalue='

def maj_widget(domoticz_idx,val):
    requete='http://'+domoticz_ip+':'+domoticz_port+json_url_text1+domoticz_idx+json_url_text2+val
    r=requests.get(requete,auth=HTTPBasicAuth(user,password))
    if  r.status_code != 200:
        print "Erreur API Domoticz"

# 2 requetes en attendant que le /json soit parsable
b = requests.get('http://IP_WiInfo/base')
p = requests.get('http://IP_WiInfo/papp')

if b.status_code == 200 and p.status_code == 200:
# l'API renvoie 200 si tout est OK
    base = b.json.get('BASE')
    papp = p.json.get('PAPP')
    val = str(papp) + ";" + str(base)

    domoticz_idx=str(periph_idx['base'])
    maj_widget (domoticz_idx,val) 

    domoticz_idx=str(periph_idx['papp'])
    maj_widget (domoticz_idx,str(papp)) 
else:
    print "Erreur recuperation des donnees"
